Docs

Direct Debit · API reference · customers

Create Customer

POST /customers
Try it ▸

Base URL not set in the spec · operationId create_customer_customers_post

Create a new customer.

Authorization

The spec does not declare an authentication scheme for this endpoint.

Headers

X-API-Key string | null

Request body application/json · required

name string required

Customer full name

document_type string required

Type of document (e.g., 'MX_RFC', 'PASSPORT')

mx_rfc mx_curp passport
document_number string required

Document number

email string (email) | null

Customer email address

phone_number string | null

Customer phone number

Responses

201 Successful Response application/json
name string required

Customer full name

org_id string (uuid) required

ID of the organization this customer belongs to

document_type string required

Type of document (e.g., 'MX_RFC', 'PASSPORT')

mx_rfc mx_curp passport
document_number string required

Document number

email string (email) | null

Customer email address

phone_number string | null

Customer phone number

customer_metadata object | null

Additional customer metadata

id string (uuid) required
created_at string (date-time) required
updated_at string (date-time) | null
422 Validation Error application/json
detail array of ValidationError
loc detail[].loc array of (string | integer) required
msg detail[].msg string required
type detail[].type string required
This request is in the Monato · Direct Debit Postman collection, folder customers.Download collection

Request

curl -X POST "$BASE_URL/customers" \
  -H "X-API-Key: $API_KEY"